<template>
  <q-layout>
    <q-header
      flat
      class="bg-white text-black q-pa-md q-mb-lg"
      height-hint="100"
      v-if="!$q.screen.lt.sm"
    >
      <q-toolbar class="portal-toolbar-height">
        <q-avatar>
          <img alt="Vigan City Logo" src="~assets/vigan_logo.png" />
        </q-avatar>
        <q-toolbar-title>
          <div class="text">
            <div class="text-title">VIGAN CITY</div>
            <div class="text-subtitle">Job Matching Portal</div>
          </div>
        </q-toolbar-title>

        <q-btn
          unelevated
          label="LOGIN"
          type="submit"
          class="btn-lg btn--shade-1 text-white"
          @click="$router.push('login')"
        />
      </q-toolbar>
    </q-header>

    <q-page-container
      class="q-px-lg"
      :style="{ 'padding-top': $q.screen.lt.sm ? '0px !important' : '76px' }"
    >
      <div class="row q-my-lg">
        <div
          class="col text-left text-grey-7"
          v-if="$router.currentRoute.value.path !== '/onboarding-jobseeker'"
        >
          <q-btn
            unelevated
            text
            label="BACK"
            class="btn-md btn-back"
            icon="arrow_back"
            @click="goBack()"
          />
        </div>

        <div class="col" align="right">
          <div v-if="!$q.screen.lt.sm">
            <q-card
              v-if="
                $router.currentRoute.value.path === '/onboarding-jobseeker' ||
                $router.currentRoute.value.path === '/account-setup'
              "
              class="text-center bg-dark-blue text-white"
            >
              <span class="title-4">I'm a Job Seeker</span>
              <div>(looking for work)</div>
            </q-card>

            <q-card
              v-else-if="
                $router.currentRoute.value.path === '/onboarding-employer'
              "
              class="text-center bg-green-10 text-white"
              @click="$router.push('onboarding-employer')"
            >
              <span class="title-4">I'm an Employer</span>
              <div>(looking for workers)</div>
            </q-card>
          </div>

          <q-btn
            unelevated
            label="LOGIN"
            type="submit"
            class="btn-lg btn--shade-1 text-white"
            @click="$router.push('login')"
            v-if="$q.screen.lt.sm"
          />
        </div>
      </div>
      <div class="col q-mb-xl" align="left" v-if="$q.screen.lt.sm">
        <div>
          <q-card
            v-if="
              $router.currentRoute.value.path === '/onboarding-jobseeker' ||
              $router.currentRoute.value.path === '/account-setup'
            "
            class="text-center bg-dark-blue text-white"
          >
            <span class="title-4">I'm a Job Seeker</span>
            <div>(looking for work)</div>
          </q-card>

          <q-card
            v-else-if="
              $router.currentRoute.value.path === '/onboarding-employer'
            "
            class="text-center bg-green-10 text-white"
            @click="$router.push('onboarding-employer')"
          >
            <span class="title-4">I'm an Employer</span>
            <div>(looking for workers)</div>
          </q-card>
        </div>
      </div>

      <q-page
        :style-fn="setPageHeight"
        class="flex justify-center items-center"
      >
        <div class="column flex items-center">
          <slot />
        </div>
      </q-page>
    </q-page-container>

    <footer-layout />
  </q-layout>
</template>

<script>
import { defineComponent, ref } from "vue";
import FooterLayout from "./sections/FooterLayout.vue";

export default defineComponent({
  components: { FooterLayout },
  name: "OnboardingLayout",
  props: {
    tab: {
      type: Number,
      default: null,
    },
  },

  setup() {
    const setPageHeight = (offset) => {
      // "offset" is a Number (pixels) that refers to the total
      // height of header + footer that occupies on screen,
      // based on the QLayout "view" prop configuration

      // this is actually what the default style-fn does in Quasar
      return { minHeight: offset ? `calc(90vh - ${offset}px)` : "90vh" };
    };

    const isJobSeeker = ref(false);

    const goBack = () => {
      window.history.back();
    };

    return {
      setPageHeight,
      isJobSeeker,
      goBack,
    };
  },
});
</script>

<style lang="scss" scoped>
.q-header {
  position: fixed !important;
  -webkit-box-shadow: 0 10px 20px black;
  -moz-box-shadow: 0 10px 20px black;
  box-shadow: 0 -10px 20px black;
}
.portal {
  &-toolbar {
    &-height {
      height: 50px;
    }
  }
}
.text {
  line-height: 20px;
  width: 105px;
  &-title {
    font-weight: 800;
    color: #4c1cc0;
    font-size: 15px;
  }
  &-subtitle {
    font-weight: 600;
    color: $dark;
    font-size: 11px;
  }
}
.q-card {
  width: 205px;
  height: 74px;
  border-radius: $border-radius-10;
  padding: 13px;
}
.btn-back {
  color: black;
}
</style>
